package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.Notifications;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2025-08-23
 */
public interface INotificationsService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public Notifications selectNotificationsById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param notifications 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<Notifications> selectNotificationsList(Notifications notifications);

    /**
     * 新增【请填写功能名称】
     * 
     * @param notifications 【请填写功能名称】
     * @return 结果
     */
    public int insertNotifications(Notifications notifications);

    /**
     * 修改【请填写功能名称】
     * 
     * @param notifications 【请填写功能名称】
     * @return 结果
     */
    public int updateNotifications(Notifications notifications);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteNotificationsByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteNotificationsById(Long id);
    
    /**
     * 发布通知
     * 
     * @param id 通知ID
     * @return 结果
     */
    public AjaxResult publishNotification(Long id);
}
